
SET NOCOUNT ON;

SELECT	a.Version AS AppServerVersion,
        COUNT(1) AS AppServerCount,
        MAX(h.LastHeartbeatDbUtcTime) AS LastHeartbeatDbUtcTime
FROM    dbo.ApplicationServers a WITH ( NOLOCK )
		LEFT JOIN dbo.Heartbeats h WITH (NOLOCK) ON a.ApplicationServerUrl = h.ServerName AND h.ServerType = 'ApplicationServer'
GROUP BY a.Version
