-- List the various agent versions installed on the system, by amount and OS type

SET NOCOUNT ON;


SELECT  CASE WHEN si.OperatingSystemType = 1 THEN 'Win'
             ELSE 'Unix'
        END AS OS,
        si.SrvVersion AS AgentsVersion,
        si.SrvConfigurationStatus,
        COUNT(1) AS AgentsCount
FROM    dbo.ServerInvatory si WITH ( NOLOCK )
GROUP BY si.SrvVersion,si.OperatingSystemType,si.SrvConfigurationStatus
